Synq Docs
Management APIWebhooks

Subscribe a URL to events

An https URL on the public internet. The signing secret is in this response only. It receives only events recorded after it exists and while it is on. Needs `org.webhooks.edit`, and a plan with webhooks (403 `plan_feature_unavailable` otherwise, naming the plan in `required_plan`). Recorded as `webhook.created`.

POST/v1/orgs/{org}/webhooks

An https URL on the public internet. The signing secret is in this response only. It receives only events recorded after it exists and while it is on. Needs org.webhooks.edit, and a plan with webhooks (403 plan_feature_unavailable otherwise, naming the plan in required_plan). Recorded as webhook.created.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/orgs/string/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "string",    "events": [      "*"    ]  }'
{  "id": "string",  "url": "string",  "events": [    "string"  ],  "description": "string",  "enabled": true,  "disabled_reason": "string",  "previous_secret_expires_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "secret": "string"}